image:
   name: hashicorp/terraform:light
   entrypoint:
     - '/usr/bin/env'
     - 'PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin'

before_script:
     -  rm -rf .terraform
     -  terraform --version
     -  mkdir -p ./creds
     -  echo $SERVICEACCOUNT  > ./creds/serviceaccount.json
     -  export GOOGLE_APPLICATION_CREDENTIALS=./creds/serviceaccount.json
     -  terraform init
     -  echo ${passeword}
     

stages:
      - validate
      - plan
      - apply
      - destroy 

validate:
   stage: validate
   script:
     - terraform validate 

plan:
   stage: plan
   script:
     - terraform plan -out "planfile"  
   dependencies:
     - validate
   artifacts:
     paths:
       - planfile

apply:
   stage: apply
   script:
     - terraform apply  -input=false -auto-approve "planfile"
   dependencies:
     - plan

destroy: 
   stage : destroy
   script : 
     - terraform destroy -input=false -auto-approve 
   when : manual 

   